# Snapshot report for `test/build_test.js`

The actual snapshot is saved in `build_test.js.snap`.

Generated by [AVA](https://ava.li).

## copies a file from source to target

> Snapshot 1

    [
      'tmp/tests/target/index.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': '<html></html>',
    }

## empties target directory before building

> Snapshot 1

    [
      'tmp/tests/target/index.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': '<html></html>',
    }

## handles a file with no extension

> Snapshot 1

    [
      'tmp/tests/target/CNAME',
    ]

> Snapshot 2

    {
      'tmp/tests/target/CNAME': 'foobar.com',
    }

## handles the root index page in the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/index.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': `<!DOCTYPE html>␊
      ␊
      <p>/</p>`,
    }

## only includes JSX and MDX pages in the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/index.html',
      'tmp/tests/target/jsx.html',
      'tmp/tests/target/mdx.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': '<p></p>',
      'tmp/tests/target/jsx.html': `<!DOCTYPE html>␊
      ␊
      <p>/jsx</p><p>/mdx</p>`,
      'tmp/tests/target/mdx.html': `<!DOCTYPE html>␊
      ␊
      <p>Foobar</p>`,
    }

## passes the page component in the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/index.html',
      'tmp/tests/target/post.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': `<!DOCTYPE html>␊
      ␊
      <h1>Title</h1>`,
      'tmp/tests/target/post.html': `<!DOCTYPE html>␊
      ␊
      <h1>Title</h1>`,
    }

## provides exported meta for a JSX page in the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/index.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/index.html': `<!DOCTYPE html>␊
      ␊
      <p>bar</p>`,
    }

## provides exported meta for an MDX page in the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/jsx.html',
      'tmp/tests/target/mdx.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/jsx.html': `<!DOCTYPE html>␊
      ␊
      <p>bar</p><p>bar</p>`,
      'tmp/tests/target/mdx.html': `<!DOCTYPE html>␊
      ␊
      <p>Foobar</p>`,
    }

## summarizes pages and passes them into the page as the `pages` prop

> Snapshot 1

    [
      'tmp/tests/target/foo.html',
    ]

> Snapshot 2

    {
      'tmp/tests/target/foo.html': `<!DOCTYPE html>␊
      ␊
      <p>/foo</p>`,
    }
